Skip to main content
GET
Stock State

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

Stock State Response

The last stock price ticker for the given ticker

close
string

The close stock price of the ticker.

Example:

"182.91"

high
string

The high stock price of the ticker.

Example:

"182.91"

low
string

The low stock price of the ticker.

Example:

"182.91"

market_time
enum<string>

The market time of the data

Available options:
regular,
premarket,
postmarket
Example:

"regular"

open
string

The open stock price of the ticker.

Example:

"182.91"

prev_close
string

The previous trading day's stock price of the ticker.

Example:

"189.70"

tape_time
string

The last tape time of the data.

Example:

"2023-09-07T20:06:00.000Z"

total_volume
integer

The cumulative stock volume through the trading day.

Example:

23132119

volume
integer

The cumulative total volume of the underlying stock traded.

Example:

12348

Last modified on September 29, 2026